var k = 22 / 6; // Variable to control the star shape

function setup() { // Create canvas
  createCanvas(windowWidth, windowHeight);
}

function draw() {
  background(0); // Background colour
  textSize(20); // Text size
  text('Star Pattern', 710, 80); // Title & position
  text('Trigonometry used to create a star', 600, 635); // Description
  
  translate(width / 2, height / 2); // Center the star pattern

  beginShape(); // Define shape with vertices
  noFill(); // No fill for the shape
  stroke(255); // Stroke colour
  strokeWeight(2); // Line thickness

  for (var angle = 1; angle < TWO_PI * 70; angle += 1) { // Loop through angles
    var r = height / 3 * cos(k * angle); // Calculate the radius 
    var x = r * cos(angle); // Calculate the x using trigonometry
    var y = r * sin(angle); // Calculate the y using trigonometry
    vertex(x, y); // Add a vertex to the shape at the current position (x, y) on the canvas
  }

  endShape(CLOSE); // End the definition, completing the star pattern
}
